%define	upstream_name 	 XML-Generator
%define upstream_version 1.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A module to help in generating XML documents from perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
%{upstream_name} is a module to help in generating XML documents or in
producing DOM trees .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/XML/*
%{_mandir}/man3/*

%changelog
* Tue Aug 29 2023 tv <tv> 1.130.0-1.mga10
+ Revision: 1981034
- update to 1.13

* Mon Mar 21 2022 umeabot <umeabot> 1.90.0-2.mga9
+ Revision: 1816379
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 1.90.0-1.mga9
+ Revision: 1784049
- update to 1.09

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1498440
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1272764
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1036017
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 941691
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 749191
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686925
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 516036
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 375046
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 1.04

* Thu Jan 20 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 27295
- mageia rebuild
- imported package perl-XML-Generator

